Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package interpreter
  Definition Classes
    nsc
-  package jline
  Definition Classes
    interpreter
-  object Reader
  Definition Classes
    jline
- CommandParser
- ReplParser
- ScalaParsedLine
- ScalaParser

c

scala.tools.nsc.interpreter.jline.Reader

# ScalaParsedLine

###

#### case class ScalaParsedLine(line: String, cursor: Int, wordCursor: Int, wordIndex: Int, tokens: List[TokenData]) extends CompletingParsedLine with Product with Serializable

Lines of Scala are opaque to JLine.

line

  the line

Source
  Reader.scala

Linear Supertypes
java.io.Serializable, Product, Equals, CompletingParsedLine, ParsedLine, AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ScalaParsedLine
2. Serializable
3. Product
4. Equals
5. CompletingParsedLine
6. ParsedLine
7. AnyRef
8. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new ScalaParsedLine(line: String, cursor: Int, wordCursor: Int, wordIndex: Int, tokens: List[TokenData])

   line

     the line

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from ScalaParsedLine toany2stringadd[ScalaParsedLine] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (ScalaParsedLine, B)
   Implicit
     This member is added by an implicit conversion from ScalaParsedLine toArrowAssoc[ScalaParsedLine] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  val cursor: Int
   Definition Classes
     ScalaParsedLine → ParsedLine
9.  def ensuring(cond: (ScalaParsedLine) => Boolean, msg: => Any): ScalaParsedLine
   Implicit
     This member is added by an implicit conversion from ScalaParsedLine toEnsuring[ScalaParsedLine] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: (ScalaParsedLine) => Boolean): ScalaParsedLine
    Implicit
      This member is added by an implicit conversion from ScalaParsedLine toEnsuring[ScalaParsedLine] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean, msg: => Any): ScalaParsedLine
    Implicit
      This member is added by an implicit conversion from ScalaParsedLine toEnsuring[ScalaParsedLine] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: Boolean): ScalaParsedLine
    Implicit
      This member is added by an implicit conversion from ScalaParsedLine toEnsuring[ScalaParsedLine] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  def escape(candidate: CharSequence, complete: Boolean): CharSequence
    Definition Classes
      ScalaParsedLine → CompletingParsedLine
15.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
16.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from ScalaParsedLine toStringFormat[ScalaParsedLine] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
17.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
18.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
19.  val line: String
    Definition Classes
      ScalaParsedLine → ParsedLine
20.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
21.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
23.  def productElementNames: Iterator[String]
    Definition Classes
      Product
24.  def rawWordCursor(): Int
    Definition Classes
      ScalaParsedLine → CompletingParsedLine
25.  def rawWordLength(): Int
    Definition Classes
      ScalaParsedLine → CompletingParsedLine
26.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
27.  val tokens: List[TokenData]
28.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
29.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
30.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
31.  def word(): String
    Definition Classes
      ScalaParsedLine → ParsedLine
32.  val wordCursor: Int
    Definition Classes
      ScalaParsedLine → ParsedLine
33.  val wordIndex: Int
    Definition Classes
      ScalaParsedLine → ParsedLine
34.  def words(): java.util.List[String]
    Definition Classes
      ScalaParsedLine → ParsedLine

### Deprecated Value Members

1.  def →[B](y: B): (ScalaParsedLine, B)
   Implicit
     This member is added by an implicit conversion from ScalaParsedLine toArrowAssoc[ScalaParsedLine] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from CompletingParsedLine

### Inherited from ParsedLine

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromScalaParsedLine to any2stringadd[ScalaParsedLine]

### Inherited by implicit conversion StringFormat fromScalaParsedLine to StringFormat[ScalaParsedLine]

### Inherited by implicit conversion Ensuring fromScalaParsedLine to Ensuring[ScalaParsedLine]

### Inherited by implicit conversion ArrowAssoc fromScalaParsedLine to ArrowAssoc[ScalaParsedLine]

### Ungrouped